#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	bash-completion
Version		:	2.11
Release		:	17.0.10.rel%{?dist}
Summary		:	Programmable completion for Bash

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/scop/bash-completion

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	automake
BuildRequires	:	dejagnu
BuildRequires	:	make

BuildArch	:	noarch

Requires	:	bash	>= 4.1
#-----------------------------------------------------------------------------
%description
bash-completion is a collection of shell functions that
take advantage of the programmable completion feature of bash.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS CHANGES CONTRIBUTING.md README.md
%doc doc/bash_completion.txt
%config(noreplace) %{_sysconfdir}/profile.d/bash_completion.sh
%{_datadir}/%{name}/completions/*
%{_datadir}/%{name}/helpers/perl
%{_datadir}/%{name}/helpers/python
%{_datadir}/%{name}/bash_completion
%{_datadir}/cmake/%{name}/%{name}-config*.cmake
%{_datadir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


#-----------------------------------------------------------------------------
%changelog
